package com.zy.bms.common.interceptor;

import com.zy.bms.manager.SessionManager;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 登录权限验证拦截器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class AuthInterceptor extends HandlerInterceptorAdapter {

    @Resource
    private SessionManager sessionManager;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if (!sessionManager.valid(request.getHeader("token"))) {
            response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
            return false;
        }
        return true;
    }
}
