package com.zy.bms.controller;


import com.zy.bms.common.ServerResponse;
import com.zy.bms.service.IUserPrivilegeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户查看手机设备权限表 前端控制器
 *
 * @author chenyi
 * @since 2021-07-13
 */
@RestController
@RequestMapping("/builder/user-privilege")
public class UserPrivilegeController extends BaseController {

    @Resource
    private IUserPrivilegeService userPrivilegeService;

    /**
     * 获取用户未有权限的设备组
     */
    @GetMapping("getGroupByUserId.do")
    public ServerResponse getGroupByUserId() {
        return ServerResponse.createBySuccess(userPrivilegeService.getGroupByUserId(userId()));
    }
}
