package com.zy.bms.controller.ubi;


import com.zy.bms.common.ServerResponse;
import com.zy.bms.controller.BaseController;
import com.zy.bms.pojo.io.DeviceIO;
import com.zy.bms.pojo.io.PageIO;
import com.zy.bms.service.ubi.IUbiInfoStateService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 普适性
 * 设备静态信息 前端控制器
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@RestController
@RequestMapping("/bms/device/ubi")
public class UbiDeviceController extends BaseController {
    @Resource
    private IUbiInfoStateService ubiInfoStateService;

    /**
     * 分页查询设备列表
     */
    @PostMapping("listPage.do")
    public ServerResponse listPage(DeviceIO io) {
        return ServerResponse.createBySuccess(ubiInfoStateService.listPage(io));
    }

    /**
     * 查询设备详情信息
     */
    @GetMapping("getDetail.do")
    public ServerResponse getDetail(String openNum) {
        return ServerResponse.createBySuccess(ubiInfoStateService.getDetail(openNum));
    }

    /**
     * 微信端
     * 通过用户ID分页查询该用户拥有权限的设备列表
     */
    @GetMapping("listPageWx.do")
    public ServerResponse listPageWx(PageIO io) {
        return ServerResponse.createBySuccess(ubiInfoStateService.listPageWx(io, userId()));
    }

    /**
     * 微信端
     * 通过用户ID分页查询该用户拥有权限的设备列表
     */
    @GetMapping("getDetailWx.do")
    public ServerResponse getDetailWx(String openNum) {
        return ServerResponse.createBySuccess(ubiInfoStateService.getDetailWx(openNum));
    }
}
